Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ReleaseInfo

    java.lang.Object
      org.codehaus.groovy.util.ReleaseInfo

    public class ReleaseInfo
    extends Object

Exposes the Groovy release information

Author:
  Roshan Dawrani

Constructor Summary
Constructor and Description
`ReleaseInfo()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static Properties` | `getAllProperties()`
`static String` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReleaseInfo

    public ReleaseInfo()

Method Detail

### getVersion

    public static String getVersion()

### getAllProperties

    public static Properties getAllProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD